<!--
 * @Description: 月报
 * @Author: @liulin
 * @Date: 2023-03-24 16:38:19
 * @LastEditors: Do not edit
 * @LastEditTime: 2023-03-26 15:55:21
-->
<template>
  <TableConfig :configData="configData" />
</template>

<script>
import TableConfig from './components/TableConfig.vue'
import utils from '@/utils' // thousandBit格式化千分位
const BigNumber = require('bignumber.js')
export default {
  name: 'dailyMainEngPayStatistics',
  components: {
    TableConfig
  },
  data() {
    return {
      configData: {
        table: [
          {
            label: '路段名称',
            value: 'roadName'
          },
          {
            label: '运营单位名称',
            value: 'orgName'
          },
          {
            label: '执行合计',
            value: 'allFinish',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '计划合计',
            value: 'allMoney',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '比例合计',
            value: 'allRate',
            format: true,
            count: val => new BigNumber(val).times(100) + '%'
          },
          {
            label: '日常养护执行',
            value: 'dailyFinish',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '日常养护计划',
            value: 'dailyMoney',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '日常养护比例',
            value: 'dailyRate',
            format: true,
            count: val => new BigNumber(val).times(100) + '%'
          },

          {
            label: '专项执行',
            value: 'speFinish',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '专项计划',
            value: 'speMoney',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '专项比例',
            value: 'speRate',
            format: true,
            count: val => new BigNumber(val).times(100) + '%'
          }
        ],
        api: 'workOrderInformation/v1/monthReport'
      }
    }
  }
}
</script>
<style lang="scss"></style>
